<testsuites>
  <!--Report is generated by Rally 3.0.1~dev14 at 2020-04-27T23:28:23.449303-->
  <testsuite errors="0" failures="0" id="6205c400-e877-410b-b5be-3db1fa564a95" skipped="0" tests="6" time="28.00" timestamp="2020-04-27T23:12:31">
    <testcase classname="Authenticate" id="4344a803-e848-44b5-af2a-82f79d025aa0" name="keystone" time="2.82" timestamp="2020-04-27T23:12:34" />
    <testcase classname="Authenticate" id="6f3fddcb-c525-4d96-b5b9-dcc4d0db4208" name="validate_cinder" time="3.19" timestamp="2020-04-27T23:12:38" />
    <testcase classname="Authenticate" id="8db45755-4a2f-4692-bc2d-ac64da56e24d" name="validate_glance" time="2.96" timestamp="2020-04-27T23:12:42" />
    <testcase classname="Authenticate" id="90a96d57-1bd1-4361-a26d-b19c60c56664" name="validate_heat" time="2.97" timestamp="2020-04-27T23:12:46" />
    <testcase classname="Authenticate" id="009d105c-7190-4548-a143-390b22f2571b" name="validate_neutron" time="2.96" timestamp="2020-04-27T23:12:51" />
    <testcase classname="Authenticate" id="5a144bf7-5602-4660-b7a3-3b3d76a89d7d" name="validate_nova" time="2.82" timestamp="2020-04-27T23:12:55" />
  </testsuite>
  <testsuite errors="0" failures="0" id="99ed8796-d820-4c1c-a124-bc59dc820155" skipped="0" tests="4" time="48.00" timestamp="2020-04-27T23:13:08">
    <testcase classname="GlanceImages" id="6c45e6d3-71ae-4429-bec5-077c3052afc0" name="create_and_delete_image" time="6.20" timestamp="2020-04-27T23:13:11" />
    <testcase classname="GlanceImages" id="55e1e6c8-2fde-421d-95fa-723db953d28b" name="create_and_list_image" time="7.46" timestamp="2020-04-27T23:13:20" />
    <testcase classname="GlanceImages" id="38cbd885-5d05-4bcc-af80-c0d7af1a8fab" name="list_images" time="2.67" timestamp="2020-04-27T23:13:28" />
    <testcase classname="GlanceImages" id="4a66e61a-d66a-436d-bba8-94075f8fb003" name="create_image_and_boot_instances" time="22.23" timestamp="2020-04-27T23:13:32" />
  </testsuite>
  <testsuite errors="0" failures="0" id="18530993-dcc7-4e3b-aef0-4bfe64bc48b2" skipped="0" tests="10" time="100.00" timestamp="2020-04-27T23:14:05">
    <testcase classname="CinderVolumes" id="b86c8428-5f06-40ee-8515-ee1967e2ae9c" name="create_and_delete_snapshot" time="13.76" timestamp="2020-04-27T23:14:09" />
    <testcase classname="CinderVolumes" id="4abb336f-cfae-49d0-86ee-4f0a6653bf3b" name="create_and_delete_volume" time="8.00" timestamp="2020-04-27T23:14:23" />
    <testcase classname="CinderVolumes" id="80268050-2e87-4525-9a59-d0e0fb72fd70" name="create_and_delete_volume" time="10.46" timestamp="2020-04-27T23:14:32" />
    <testcase classname="CinderVolumes" id="84d30bb1-5f0a-49eb-87f3-160f5874a523" name="create_and_delete_volume" time="8.11" timestamp="2020-04-27T23:14:44" />
    <testcase classname="CinderVolumes" id="b9cc84be-4ad0-477c-9629-2c8e0b7ca750" name="create_and_extend_volume" time="10.47" timestamp="2020-04-27T23:14:54" />
    <testcase classname="CinderVolumes" id="c7f6f3f2-10b4-4960-9fbc-7c9d4adf2231" name="create_from_volume_and_delete_volume" time="13.43" timestamp="2020-04-27T23:15:06" />
    <testcase classname="CinderQos" id="c82e7f3b-7de4-40c5-89cb-19c963f3f701" name="create_and_list_qos" time="5.51" timestamp="2020-04-27T23:15:20" />
    <testcase classname="CinderQos" id="e1da789e-c75b-44c9-898d-530da6068f4a" name="create_and_set_qos" time="4.41" timestamp="2020-04-27T23:15:26" />
    <testcase classname="CinderVolumeTypes" id="d036fd4d-2527-425a-bad2-088323b43210" name="create_and_list_volume_types" time="4.52" timestamp="2020-04-27T23:15:32" />
    <testcase classname="CinderVolumeTypes" id="45ed9f4c-e28b-4927-875d-01d6ab1c3871" name="create_volume_type_and_encryption_type" time="5.31" timestamp="2020-04-27T23:15:39" />
  </testsuite>
  <testsuite errors="0" failures="0" id="86bc5c03-0005-444a-b525-42fc3aa097b2" skipped="0" tests="4" time="47.00" timestamp="2020-04-27T23:15:54">
    <testcase classname="HeatStacks" id="d81beb22-1d21-4c0c-8555-845ae4300c30" name="create_update_delete_stack" time="11.11" timestamp="2020-04-27T23:16:00" />
    <testcase classname="HeatStacks" id="bfd84278-2db0-436d-9962-b1f0792f10b9" name="create_check_delete_stack" time="10.48" timestamp="2020-04-27T23:16:12" />
    <testcase classname="HeatStacks" id="3ef98ef2-4473-4a9a-92fb-ff7562700139" name="create_suspend_resume_delete_stack" time="11.21" timestamp="2020-04-27T23:16:25" />
    <testcase classname="HeatStacks" id="539cfa46-57de-45aa-a9f4-2c7517c3a8a1" name="list_stacks_and_resources" time="3.56" timestamp="2020-04-27T23:16:37" />
  </testsuite>
  <testsuite errors="0" failures="0" id="7b33aaf6-0ace-4fe5-b941-f588557b9931" skipped="0" tests="11" time="79.00" timestamp="2020-04-27T23:16:50">
    <testcase classname="KeystoneBasic" id="38de1fce-3b13-40d3-bdb2-710652eccf55" name="add_and_remove_user_role" time="5.33" timestamp="2020-04-27T23:16:53" />
    <testcase classname="KeystoneBasic" id="d21592b8-aec5-40fc-8c07-92129b6ee9ce" name="create_add_and_list_user_roles" time="5.41" timestamp="2020-04-27T23:16:59" />
    <testcase classname="KeystoneBasic" id="b7562ab8-d79e-490e-898d-1c0f0ef69444" name="create_and_list_tenants" time="5.59" timestamp="2020-04-27T23:17:06" />
    <testcase classname="KeystoneBasic" id="e40e7011-4da5-46b2-8bcb-08121e5fd651" name="create_and_delete_role" time="4.02" timestamp="2020-04-27T23:17:12" />
    <testcase classname="KeystoneBasic" id="8aa5b4c8-8200-432b-8111-9cbd1829b687" name="create_and_delete_service" time="3.84" timestamp="2020-04-27T23:17:16" />
    <testcase classname="KeystoneBasic" id="3c86478c-5bfd-48be-8bbb-f516755b020f" name="get_entities" time="8.61" timestamp="2020-04-27T23:17:20" />
    <testcase classname="KeystoneBasic" id="2fc19cb6-5e94-4b49-9073-4de9f163da8d" name="create_update_and_delete_tenant" time="4.61" timestamp="2020-04-27T23:17:30" />
    <testcase classname="KeystoneBasic" id="e349eea5-a7c5-4d01-994d-746a254b4a0a" name="create_user" time="5.41" timestamp="2020-04-27T23:17:36" />
    <testcase classname="KeystoneBasic" id="1702862f-00c0-464b-a260-4dc8e64e5612" name="create_tenant" time="6.04" timestamp="2020-04-27T23:17:43" />
    <testcase classname="KeystoneBasic" id="a5a99364-1d3e-46cc-8bb4-27ce8c8d7261" name="create_and_list_users" time="5.76" timestamp="2020-04-27T23:17:51" />
    <testcase classname="KeystoneBasic" id="ddbeb6f3-53cc-4ba7-b830-5098f2944fd4" name="create_tenant_with_users" time="11.17" timestamp="2020-04-27T23:17:57" />
  </testsuite>
  <testsuite errors="0" failures="0" id="7efb48cc-d30d-4b6e-8fa9-183538b1d708" skipped="0" tests="11" time="128.00" timestamp="2020-04-27T23:18:18">
    <testcase classname="NeutronNetworks" id="40750701-cde7-4155-93be-fdb034bebf22" name="create_and_delete_networks" time="6.05" timestamp="2020-04-27T23:18:22" />
    <testcase classname="NeutronNetworks" id="af5666c4-e043-4c50-9cae-71fa78a0eba0" name="create_and_delete_ports" time="11.29" timestamp="2020-04-27T23:18:30" />
    <testcase classname="NeutronNetworks" id="e092f526-78f6-4426-893a-32b289c00d36" name="create_and_delete_routers" time="14.90" timestamp="2020-04-27T23:18:42" />
    <testcase classname="NeutronNetworks" id="0dcea839-2fa4-4885-a215-5f3fb6490579" name="create_and_delete_subnets" time="10.86" timestamp="2020-04-27T23:18:58" />
    <testcase classname="NeutronNetworks" id="3fb6fb03-0479-4056-ae9f-0a09ce8ef747" name="create_and_list_networks" time="7.82" timestamp="2020-04-27T23:19:11" />
    <testcase classname="NeutronNetworks" id="c7d9427f-1978-484d-84d1-c38ce1930fe1" name="create_and_list_ports" time="10.77" timestamp="2020-04-27T23:19:19" />
    <testcase classname="NeutronNetworks" id="36b654e4-9c22-4ea9-9390-846c9a281a97" name="create_and_list_routers" time="17.21" timestamp="2020-04-27T23:19:31" />
    <testcase classname="NeutronNetworks" id="7e1bd358-71d4-4ed5-8572-2a9fb2d276ed" name="create_and_list_subnets" time="10.05" timestamp="2020-04-27T23:19:49" />
    <testcase classname="NeutronSecurityGroup" id="331f5069-8232-4cbf-887e-91977be5a501" name="create_and_delete_security_groups" time="4.63" timestamp="2020-04-27T23:19:59" />
    <testcase classname="NeutronSecurityGroup" id="2fd941b6-2861-4d1b-94fd-9f269e341265" name="create_and_delete_security_group_rule" time="5.06" timestamp="2020-04-27T23:20:05" />
    <testcase classname="NeutronNetworks" id="37dc73e0-fb24-46d9-a7bb-2aa26df377d7" name="set_and_clear_router_gateway" time="13.10" timestamp="2020-04-27T23:20:12" />
  </testsuite>
  <testsuite errors="0" failures="0" id="193969b5-0d88-4d25-bce0-43c729cf7e25" skipped="0" tests="10" time="315.00" timestamp="2020-04-27T23:20:34">
    <testcase classname="NovaServers" id="7c64436a-a004-4eeb-972a-2e5837860ccc" name="boot_and_live_migrate_server" time="26.83" timestamp="2020-04-27T23:20:44" />
    <testcase classname="NovaServers" id="b61ba58c-7355-46d5-a5fc-c310dd1f256d" name="boot_server_attach_created_volume_and_live_migrate" time="35.81" timestamp="2020-04-27T23:21:12" />
    <testcase classname="NovaServers" id="0ab41442-269f-4d02-b954-8352d893bfd6" name="boot_server_from_volume_and_live_migrate" time="36.94" timestamp="2020-04-27T23:21:49" />
    <testcase classname="NovaKeypair" id="c67e57c2-cc8e-49ee-aef9-1c4be4cecf27" name="boot_and_delete_server_with_keypair" time="28.36" timestamp="2020-04-27T23:22:27" />
    <testcase classname="NovaServers" id="59db084e-8728-4d58-a836-9e424c0164e1" name="boot_server_from_volume_and_delete" time="35.30" timestamp="2020-04-27T23:22:57" />
    <testcase classname="NovaServers" id="d65cd76d-9243-4a1f-a498-7e074cc3297d" name="pause_and_unpause_server" time="31.60" timestamp="2020-04-27T23:23:33" />
    <testcase classname="NovaServers" id="485394e9-87d0-4c7c-a0f8-a2fdd5d55d9f" name="boot_and_migrate_server" time="27.56" timestamp="2020-04-27T23:24:06" />
    <testcase classname="NovaServers" id="17e6027f-da52-4f58-a5e0-bc3153081b44" name="boot_server_and_list_interfaces" time="29.15" timestamp="2020-04-27T23:24:34" />
    <testcase classname="NovaServers" id="d285121b-ed28-4d64-91d3-01447e55d4cb" name="boot_server_associate_and_dissociate_floating_ip" time="38.27" timestamp="2020-04-27T23:25:04" />
    <testcase classname="NovaServerGroups" id="5856b922-e68c-455e-86c2-390aba31172f" name="create_and_delete_server_group" time="3.48" timestamp="2020-04-27T23:25:45" />
  </testsuite>
  <testsuite errors="0" failures="0" id="18ba3942-266c-475b-b514-fd875e487e87" skipped="0" tests="4" time="20.00" timestamp="2020-04-27T23:25:57">
    <testcase classname="Quotas" id="8114ecb3-87a1-4c88-ba18-968df0f5c0a8" name="cinder_update_and_delete" time="2.86" timestamp="2020-04-27T23:26:01" />
    <testcase classname="Quotas" id="7eb0db7d-3839-4fb3-b8e7-b40c890b5f1f" name="cinder_update" time="2.76" timestamp="2020-04-27T23:26:05" />
    <testcase classname="Quotas" id="15839cfb-1151-4a54-afcd-4bd8d3653386" name="neutron_update" time="2.84" timestamp="2020-04-27T23:26:09" />
    <testcase classname="Quotas" id="87a42d4a-e39b-4d31-a7bc-abf2ec803259" name="nova_update" time="3.16" timestamp="2020-04-27T23:26:13" />
  </testsuite>
  <testsuite errors="0" failures="0" id="33c34c3f-9429-499d-8640-fd89d68f83e7" skipped="0" tests="5" time="38.00" timestamp="2020-04-27T23:26:25">
    <testcase classname="SwiftObjects" id="3f3ae2c7-b359-4272-b650-4fc0025ba351" name="create_container_and_object_then_list_objects" time="6.22" timestamp="2020-04-27T23:26:28" />
    <testcase classname="SwiftObjects" id="6c8c4702-0154-456f-91d1-dbf3c7fe8b76" name="list_objects_in_containers" time="4.79" timestamp="2020-04-27T23:26:36" />
    <testcase classname="SwiftObjects" id="fdf55b45-9f0e-41e5-b007-4100b4ed7048" name="create_container_and_object_then_download_object" time="6.55" timestamp="2020-04-27T23:26:43" />
    <testcase classname="SwiftObjects" id="921d38cc-3ab5-4dc8-841b-d48334bb7cee" name="create_container_and_object_then_delete_all" time="4.52" timestamp="2020-04-27T23:26:51" />
    <testcase classname="SwiftObjects" id="0599d767-e9c5-41bb-bbf8-518b1d89ddd4" name="list_and_download_objects_in_containers" time="4.57" timestamp="2020-04-27T23:26:57" />
  </testsuite>
  <testsuite errors="0" failures="0" id="7b84710e-6b1f-44a4-98d2-e9195204aa6d" skipped="0" tests="11" time="57.00" timestamp="2020-04-27T23:27:13">
    <testcase classname="BarbicanContainers" id="71da0ef1-386c-4ae0-985c-eca729eb662a" name="create_and_add" time="3.42" timestamp="2020-04-27T23:27:17" />
    <testcase classname="BarbicanContainers" id="c4504d9d-391b-482e-8952-496f19771151" name="create_certificate_and_delete" time="3.19" timestamp="2020-04-27T23:27:21" />
    <testcase classname="BarbicanContainers" id="39a7198d-1c30-4425-a238-14d496116cae" name="create_and_delete" time="3.23" timestamp="2020-04-27T23:27:25" />
    <testcase classname="BarbicanContainers" id="0df98269-440f-475c-8ad4-15d88226610c" name="create_rsa_and_delete" time="3.77" timestamp="2020-04-27T23:27:29" />
    <testcase classname="BarbicanSecrets" id="7d55a731-02b4-490e-ace2-1476fb0fa9df" name="create_and_delete" time="3.55" timestamp="2020-04-27T23:27:33" />
    <testcase classname="BarbicanSecrets" id="d2019001-f9f1-4be8-a999-16c9c6d48ff5" name="create_and_get" time="4.85" timestamp="2020-04-27T23:27:37" />
    <testcase classname="BarbicanSecrets" id="02bd4a2a-d5d4-464b-b75f-33a2b0206227" name="create_and_list" time="4.58" timestamp="2020-04-27T23:27:43" />
    <testcase classname="BarbicanSecrets" id="6d83ce3a-3752-49e7-ab84-180832230ecb" name="create" time="5.02" timestamp="2020-04-27T23:27:50" />
    <testcase classname="BarbicanSecrets" id="13cf17f4-e4e5-41e7-bdf3-9c642f2683c4" name="get" time="4.31" timestamp="2020-04-27T23:27:56" />
    <testcase classname="BarbicanContainers" id="7a1eca9c-bd21-4515-baf1-ebf7879755ba" name="list" time="2.99" timestamp="2020-04-27T23:28:02" />
    <testcase classname="BarbicanSecrets" id="814d8b64-5b76-49f0-b403-6528d8f6800c" name="list" time="2.88" timestamp="2020-04-27T23:28:06" />
  </testsuite>
</testsuites>
